summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfossdd2021-03-03 06:20:42 +0000
committerfossdd2021-03-03 06:20:42 +0000
commiteaf38f01d3887fe8ee69f8cdb8869d5ca6855a2f (patch)
tree1eee1b4fe64daa5fd4db734407f8dfd88d1da24a
downloadaur-eaf38f01d3887fe8ee69f8cdb8869d5ca6855a2f.tar.gz
initial commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD30
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6e9d042e277
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = gitea-tea-git
+ pkgdesc = Painless self-hosted Git service..
+ pkgver = v0.6.0.r19.ge96cfdb
+ pkgrel = 1
+ url = https://gitea.io
+ arch = any
+ license = MIT
+ makedepends = go
+ makedepends = git
+ makedepends = make
+ source = git+https://gitea.com/gitea/tea.git
+ sha256sums = SKIP
+
+pkgname = gitea-tea-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..23e54c48cce
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,30 @@
+# Maintainer: fossdd <fossdd@tutanota.com>
+pkgname=gitea-tea-git
+_pkgname=tea
+pkgver=v0.6.0.r19.ge96cfdb
+pkgrel=1
+pkgdesc="Painless self-hosted Git service.."
+arch=(any)
+url="https://gitea.io"
+license=(MIT)
+makedepends=('go' 'git' 'make')
+source=('git+https://gitea.com/gitea/tea.git')
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "${_pkgname}"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd ${_pkgname}
+ make
+}
+
+package() {
+ cd ${_pkgname}
+ install -Dm755 ${_pkgname} -t "${pkgdir}"/usr/bin/
+}